Bug 584555 - [RFE] Intuitive (guided) web UI for job creation
Summary: [RFE] Intuitive (guided) web UI for job creation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact:
URL:
Whiteboard: UX
Depends On:
Blocks: 1063555
TreeView+ depends on / blocked
 
Reported: 2010-04-21 20:41 UTC by Zack Cerza
Modified: 2020-06-02 12:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-02 12:00:52 UTC


Attachments (Terms of Use)

Description Zack Cerza 2010-04-21 20:41:46 UTC
Currently, the only way to schedule a job is via a previously-prepared XML file. RHTS allowed us to easily submit one-off jobs without that overhead. I'm assuming it's planned to re-add that feature, but I need a bug to add the the sign-off page.

Comment 1 Bill Peck 2010-04-22 14:24:03 UTC
This is not something that is going to happen for live.  You can input an xml from scratch on the UI if need be.

Comment 2 Chris Ward 2010-05-26 11:26:11 UTC
"This is not something that is going to happen for live." I'm not sure i understand this response. Does it mean 'this will never happen' or 'this feature will not block beaker and legacy rhts tear down'

Comment 5 Dan Callaghan 2010-10-19 06:28:46 UTC
(In reply to comment #4)
> Its possible we
> could even use the xsd to generate the forms?  

That is a very interesting idea.

I'm picturing kind of like a guided XML editor (in js on the client side) with collapsible elements. The users starts with an empty <job/> element and can fill in new recipes by starting with the minimum mandatory set of elements for a recipe. The ui would make it easy to add optional child elements, and to fill in element content and attribute values. It could display documentation for each element/attribute in a little box beside where the user is editing. And all of it would be generated from the XSD (or the RELAX NG schema).

Let me think some more about how impossible that will be :-)

Comment 6 David Kovalsky 2010-11-18 16:26:03 UTC
This requires UI changes, further work is scheduled for 0.6. 

We won't block RHTS decomission for this bug anyway, so I'm moving it to HotBeakerBugs for further tracking.

Comment 8 Tomas Klohna 🔧 2019-04-03 09:01:39 UTC
Reworded the summary. Also lowered the priority, this feature would be nice to have, but it isn't heavily requested.

Comment 9 Martin Styk 2020-06-02 12:00:52 UTC
Hello,

thank you for opening issue in Beaker project.
This issue was marked with component "web ui".
As we are not planning to address any further issues in current UI, due to technical stack and not being able to work with Python 3 codebase, I'm closing this issue as WONTFIX.
New UI will be reimplemented within new versions of Beaker.

If you have any questions feel free to reach out to me.

Best regards,
Martin <martin.styk@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.